We'd have to ask Drew Noakes to do the same so that we don't have a conflict 
with metadata-extractor.

I'll open a PR over there.  Looks like everything works for that project with 
the exception of one test!

-----Original Message-----
From: simone.trip...@gmail.com [mailto:simone.trip...@gmail.com] On Behalf Of 
Simone Tripodi
Sent: Thursday, October 13, 2016 11:01 AM
To: dev@tika.apache.org
Subject: Re: Tika parsers 1.14-SNAPSHOT build fails on local

Hi again Tim,
would it be possible to upgrade xmpcore to latest 6.X version?
I'll try to give a help,
-Simo

http://people.apache.org/~simonetripodi/
http://twitter.com/simonetripodi

On Thu, Oct 13, 2016 at 4:53 PM, Simone Tripodi <simonetrip...@apache.org>
wrote:

> ahhhhh yeah, something is gonna go really, really bad, xmpcore-5.1.2 
> in my local repo does not contain the com.adobe.xmp package but rather 
> com.adobe.internal.xmp...
> that would cause conflicts, I guess...
>
> http://people.apache.org/~simonetripodi/
> http://twitter.com/simonetripodi
>
> On Thu, Oct 13, 2016 at 4:48 PM, Allison, Timothy B. 
> <talli...@mitre.org>
> wrote:
>
>> From an internal build perhaps?
>>
>> I just wiped my entire local repo, and I'm rebuilding from scratch.
>> JpegParserTests passed...
>>
>> Might try wiping 5.1.2 from your local repo and having mvn repull?
>>
>> -----Original Message-----
>> From: simone.trip...@gmail.com [mailto:simone.trip...@gmail.com] On 
>> Behalf Of Simone Tripodi
>> Sent: Thursday, October 13, 2016 10:40 AM
>> To: dev@tika.apache.org
>> Subject: Re: Tika parsers 1.14-SNAPSHOT build fails on local
>>
>> uhm, it looks like they are different...
>>
>> $ ls -lrt ~/.m2/repository/com/adobe/xmp/xmpcore/5.1.2/
>> -rw-r--r-- 1 stripodi stripodi   4988 Oct 13 14:20 xmpcore-5.1.2.pom
>> -rw-r--r-- 1 stripodi stripodi     40 Oct 13 14:20 xmpcore-5.1.2.pom.sha1
>> -rw-r--r-- 1 stripodi stripodi 131254 Oct 13 14:20 xmpcore-5.1.2.jar
>> -rw-r--r-- 1 stripodi stripodi     40 Oct 13 14:20 xmpcore-5.1.2.jar.sha1
>> -rw-r--r-- 1 stripodi stripodi    219 Oct 13 14:20 _remote.repositories
>>
>> http://people.apache.org/~simonetripodi/
>> http://twitter.com/simonetripodi
>>
>> On Thu, Oct 13, 2016 at 4:34 PM, Allison, Timothy B. 
>> <talli...@mitre.org>
>> wrote:
>>
>> > -lrt look like this?
>> >
>> > -rw-rw-r--. 1 someone somegroup     40 Oct 13 09:57
>> xmpcore-5.1.2.pom.sha1
>> > -rw-rw-r--. 1 someone somegroup  1127 Oct 13 09:57 xmpcore-5.1.2.pom
>> > -rw-rw-r--. 1 someone somegroup     40 Oct 13 09:57
>> xmpcore-5.1.2.jar.sha1
>> > -rw-rw-r--. 1 someone somegroup 117333 Oct 13 09:57 xmpcore-5.1.2.jar
>> > -rw-rw-r--. 1 someone somegroup    187 Oct 13 09:57 _remote.repositories
>> >
>> > -----Original Message-----
>> > From: simone.trip...@gmail.com [mailto:simone.trip...@gmail.com] On 
>> > Behalf Of Simone Tripodi
>> > Sent: Thursday, October 13, 2016 10:16 AM
>> > To: dev@tika.apache.org
>> > Subject: Re: Tika parsers 1.14-SNAPSHOT build fails on local
>> >
>> > Hi Tim,
>> >
>> > I do have xmpcore in my local .m2 repo:
>> >
>> > $ ls ~/.m2/repository/com/adobe/xmp/xmpcore/5.1.2/
>> > _maven.repositories     _remote.repositories    xmpcore-5.1.2.jar
>> > xmpcore-5.1.2.jar.sha1  xmpcore-5.1.2.pom       xmpcore-5.1.2.pom.sha1
>> >
>> > http://people.apache.org/~simonetripodi/
>> > http://twitter.com/simonetripodi
>> >
>> > On Thu, Oct 13, 2016 at 4:08 PM, Allison, Timothy B.
>> > <talli...@mitre.org>
>> > wrote:
>> >
>> > > Wait, no, you clearly have drew noakes' metadata-extractor.  Is 
>> > > there a conflict with the xmp-core version somehow?  Do you have 
>> > > xmp-core
>> > > 5.1.2 in your .m2?
>> > >
>> > > -----Original Message-----
>> > > From: Allison, Timothy B.
>> > > Sent: Thursday, October 13, 2016 10:04 AM
>> > > To: dev@tika.apache.org
>> > > Subject: RE: Tika parsers 1.14-SNAPSHOT build fails on local
>> > >
>> > > I'm not able to reproduce this on a fresh build on Linux...all works.
>> > >
>> > > Can you manually check that drew noakes' metadata-extractor is in 
>> > > your
>> > .m2?
>> > >
>> > > Could anything be preventing that from being downloaded?
>> > >
>> > > -----Original Message-----
>> > > From: simone.trip...@gmail.com [mailto:simone.trip...@gmail.com] 
>> > > On Behalf Of Simone Tripodi
>> > > Sent: Thursday, October 13, 2016 9:52 AM
>> > > To: dev@tika.apache.org
>> > > Subject: Re: Tika parsers 1.14-SNAPSHOT build fails on local
>> > >
>> > > Hi Tim,
>> > >
>> > > thanks for jumping in to help, very appreciated!
>> > > I honestly don't know - I just hit the following commands on my
>> laptop:
>> > >
>> > >   552  git clone https://git-wip-us.apache.org/repos/asf/tika.git
>> > >   553  cd tika/
>> > >   554  mvn install
>> > >
>> > > Any hint?
>> > > many thanks in advance!
>> > > -Simo
>> > >
>> > > http://people.apache.org/~simonetripodi/
>> > > http://twitter.com/simonetripodi
>> > >
>> > > On Thu, Oct 13, 2016 at 3:49 PM, Allison, Timothy B.
>> > > <talli...@mitre.org>
>> > > wrote:
>> > >
>> > > > Hmmm...
>> > > >
>> > > > Is there anything else besides pure Tika involved?  Is 
>> > > > something going wrong with this dependency and/or its 
>> > > > dependency on xmp-core in tika-parsers?
>> > > >
>> > > >     <dependency>
>> > > >       <groupId>com.drewnoakes</groupId>
>> > > >       <artifactId>metadata-extractor</artifactId>
>> > > >       <version>2.8.1</version>
>> > > >     </dependency>
>> > > >
>> > > > -----Original Message-----
>> > > > From: simone.trip...@gmail.com 
>> > > > [mailto:simone.trip...@gmail.com] On Behalf Of Simone Tripodi
>> > > > Sent: Thursday, October 13, 2016 9:35 AM
>> > > > To: dev@tika.apache.org
>> > > > Subject: Tika parsers 1.14-SNAPSHOT build fails on local
>> > > >
>> > > > Hi all,
>> > > >
>> > > > I am re-building the whole Tika project for an internal company 
>> > > > usage, unfortunately I stumbled in a failing build in Tika 
>> > > > parsers, please have a look at the gist[1].
>> > > > Sorry for asking maybe a silly question, but what do I need to 
>> > > > setup in my environment in order to have a fully working build?
>> > > >
>> > > > This is the mvn version I am using:
>> > > >
>> > > > $ mvn --version
>> > > > Apache Maven 3.2.1 (ea8b2b07643dbb1b84b6d16e1f08391b666bc1e9;
>> > > > 2014-02-14T17:37:52+00:00)
>> > > > Maven home: /usr/share/apache-maven-3.2.1 Java version: 
>> > > > 1.7.0_76,
>> > vendor:
>> > > > Oracle Corporation Java home: /usr/lib/jvm/java-7-oracle/jre 
>> > > > Default
>> > > > locale: en_US, platform encoding: UTF-8 OS name: "linux", version:
>> > > > "3.13.0-36-generic", arch: "amd64", family:
>> > > > "unix"
>> > > > Many thanks in advance!
>> > > > -Simo
>> > > >
>> > > > [1]
>> > > > https://gist.github.com/simonetripodi/af4e487bf66ad6daea0ee8d14
>> > > > 7bf
>> > > > 77
>> > > > e9
>> > > >
>> > > >
>> > > > http://people.apache.org/~simonetripodi/
>> > > > http://twitter.com/simonetripodi
>> > > >
>> > >
>> >
>>
>
>

Reply via email to